libopenmpt: openmpt::string Namespace Reference

libopenmpt 0.8.5-pre.0+r24815 cross-platform C++ and C library to decode tracked music files

Functions | Variables
openmpt::string Namespace Reference
libopenmpt C++

## Functions
LIBOPENMPT_CXX_API std::string | get (const std::string &key)
| Get library related metadata. More...

## Variables
static const char library_version | LIBOPENMPT_ATTR_DEPRECATED [] = "library_version"
| Return a verbose library version string from openmpt::string::get(). More...

## Function Documentation

## ◆ get()

LIBOPENMPT_CXX_API std::string openmpt::string::get | ( | const std::string & | key | ) |

Get library related metadata.

Parameters

  key | Key to query. Possible keys are: "library_version": verbose library version string "library_version_major": libopenmpt major version number "library_version_minor": libopenmpt minor version number "library_version_patch": libopenmpt patch version number "library_version_prerel": libopenmpt pre-release version string "library_version_is_release": "1" if the version is an officially released version "library_features": verbose library features string "core_version": verbose OpenMPT core version string "source_url": original source code URL "source_date": original source code date "source_revision": original source code revision "source_is_modified": "1" if the original source has been modified "source_has_mixed_revisions": "1" if the original source has been compiled from different various revision "source_is_package": "1" if the original source has been obtained from a source pacakge instead of source code version control "build": information about the current build (e.g. the build date or compiler used) "build_compiler": information about the compiler used to build libopenmpt "credits": all contributors "contact": contact information about libopenmpt "license": the libopenmpt license "url": libopenmpt website URL "support_forum_url": libopenmpt support and discussions forum URL "bugtracker_url": libopenmpt bug and issue tracker URL

Returns
  A (possibly multi-line) string containing the queried information. If no information is available, the string is empty.

## Variable Documentation

## ◆ LIBOPENMPT_ATTR_DEPRECATED

static const char license openmpt::string::LIBOPENMPT_ATTR_DEPRECATED = "library_version"
| static

Return a verbose library version string from openmpt::string::get().

Return the libopenmpt license from openmpt::string::get().

Return contact information about libopenmpt from openmpt::string::get().

Return all contributors from openmpt::string::get().

Return information about the current build (e.g. the build date or compiler used) from openmpt::string::get().

Return a verbose OpenMPT core version string from openmpt::string::get().

Return a verbose library features string from openmpt::string::get().

Deprecated:
  Please use `"library_version"` directly.

Deprecated:
  Please use `"library_features"` directly.

Deprecated:
  Please use `"core_version"` directly.

Deprecated:
  Please use `"build"` directly.

Deprecated:
  Please use `"credits"` directly.

Deprecated:
  Please use `"contact"` directly.

Deprecated:
  Please use `"license"` directly.